// Copyright (C) 2009 - Digiteo - Michael Baudin
// Copyright (C) INRIA - Farid BELAHCENE
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

//
// number_checkrange --
//   Check that the input integer is in the range of managable integers.
//   * check that it is in the interval [-2^52,2^52]
//
function number_checkrange ( n )
  if ( ( n < -2^52 ) | ( n > 2^52 ) ) then
    error(msprintf(gettext("%s: Wrong value for integer %s: The integer is not in the bounds [-2^52,2^52].\n"),"number_checkrange" , string(n) ));
  end
endfunction

