// Copyright (C) 2009 - Digiteo - Michael Baudin

// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

//
// number_inversemod --
//   Returns the multiplicative inverse of a modulo n, 
//   i.e. returns x such that ax = 1 (mod n)
// Reference
//   "Introduction to algorithms", Cormen, Leiserson, Rivest, Stein, 2nd edition
//   
function x = number_inversemod ( a , n )
  number_check ( a )
  number_checkpositive ( "a" , a )
  number_check ( n )
  number_checkpositive ( "n" , n )
  x = number_solvelinmod ( a , 1 , n )
endfunction

