// Copyright (C) 2009 - Digiteo - Michael Baudin

// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

//
// number_isdivisor --
//   Returns %t if a | b.
//   Returns %f if not.
// Reference
//   "Introduction to algorithms", Cormen, Leiserson, Rivest, Stein, 2nd edition
//   
function isdivisor = number_isdivisor ( a , b )
  number_check ( a )
  number_checkpositive ( "a" , a )
  number_check ( b )
  number_checkpositive ( "b" , b )
  if ( ( b / a ) - floor ( b / a ) == 0 ) then
    isdivisor = %t
  else
    isdivisor = %f
  end
endfunction

